<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="http://projets.admisource.gouv.fr/xemelios/technical/schemas/xsd2html.xsl"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="Anomalie" type="TAnomalie"/>
    <xs:complexType name="TAnomalie">
            <xs:sequence>
                <xs:element name="ctrlRegleFonct" type="xs:string"/>
                <xs:element name="message" type="xs:string"/>
                <xs:element name="node" type="Node" minOccurs="0" maxOccurs="unbounded"/>
            </xs:sequence>
            <xs:attribute name="anoId" type="xs:ID"/>
            <xs:attribute name="ctrlId" type="xs:string"/>
            <xs:attribute name="severity" type="TSeverity" use="required"/>
        </xs:complexType>
    <xs:complexType name="Node">
        <xs:attribute name="id" type="xs:IDREF"/>
    </xs:complexType>
    <xs:simpleType name="TSeverity">
        <xs:restriction base="xs:string">
            <xs:enumeration value="BLOQUANT"/>
            <xs:enumeration value="FORCABLE"/>
            <xs:enumeration value="NON FORCABLE"/>
        </xs:restriction>
    </xs:simpleType>
</xs:schema>